using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.DM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.DM
{
    [Description("设备设施维保附件")]
    public class T_DM_DEVICE_MAINTENANCE_CHECK_DETAIL_FILE : MesEntityBase
    {
        [Description("设备设施维保记录")]
        [DataFieldForeignKey("Nav_CheckDetail", "Nav_Files")]
        public Guid DEVICE_MAINTENANCE_CHECK_DETAIL_ID { get; set; }

        [Description("设备设施维保记录")]
        public virtual T_DM_DEVICE_MAINTENANCE_CHECK_DETAIL Nav_CheckDetail { get; set; }

        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
